Package twisted :: Package protocols :: Package gps :: Module rockwell |
[frames | no frames]

## Module twisted.protocols.gps.rockwell

Rockwell Semiconductor Zodiac Serial Protocol Coded from official protocol specs (Order No. GPS-25, 09/24/1996, Revision 11)

Maintainer: Bob Ippolito

The following Rockwell Zodiac messages are currently understood:

       EARTHA\r\n (a hack to "turn on" a DeLorme Earthmate)
       1000 (Geodesic Position Status Output)
       1002 (Channel Summary)
       1003 (Visible Satellites)
       1011 (Receiver ID)

The following Rockwell Zodiac messages require implementation:

       None really, the others aren't quite so useful and require bidirectional communication w/ the device

Other desired features:

       - Compatability with the DeLorme Tripmate and other devices with this chipset (?)

Classes
`Zodiac` |

Exceptions
`ZodiacParseError` |

Variable Summary
`int` | `DEBUG` = 1

Variable Details

    ### DEBUG Type: `int` Value:
        1

Generated by Epydoc 2.0 on Sat Oct 25 00:55:05 2003 | http://epydoc.sf.net